package com.fs.aiob.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fs.aiob.domain.AiobBaiduEncryption;
import com.fs.aiob.mapper.AiobBaiduEncryptionMapper;
import com.fs.aiob.service.IAiobBaiduEncryptionService;
import com.fs.common.utils.DateUtils;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 百度AI外呼加密Service业务层处理
 * 
 * @author fs
 * @date 2025-03-20
 */
@Service
public class AiobBaiduEncryptionServiceImpl extends ServiceImpl<AiobBaiduEncryptionMapper, AiobBaiduEncryption> implements IAiobBaiduEncryptionService {

    /**
     * 查询百度AI外呼加密
     * 
     * @param id 百度AI外呼加密主键
     * @return 百度AI外呼加密
     */
    @Override
    public AiobBaiduEncryption selectAiobBaiduEncryptionById(Long id)
    {
        return baseMapper.selectAiobBaiduEncryptionById(id);
    }

    /**
     * 查询百度AI外呼加密列表
     * 
     * @param aiobBaiduEncryption 百度AI外呼加密
     * @return 百度AI外呼加密
     */
    @Override
    public List<AiobBaiduEncryption> selectAiobBaiduEncryptionList(AiobBaiduEncryption aiobBaiduEncryption)
    {
        return baseMapper.selectAiobBaiduEncryptionList(aiobBaiduEncryption);
    }

    /**
     * 新增百度AI外呼加密
     * 
     * @param aiobBaiduEncryption 百度AI外呼加密
     * @return 结果
     */
    @Override
    public int insertAiobBaiduEncryption(AiobBaiduEncryption aiobBaiduEncryption)
    {
        aiobBaiduEncryption.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertAiobBaiduEncryption(aiobBaiduEncryption);
    }

    /**
     * 修改百度AI外呼加密
     * 
     * @param aiobBaiduEncryption 百度AI外呼加密
     * @return 结果
     */
    @Override
    public int updateAiobBaiduEncryption(AiobBaiduEncryption aiobBaiduEncryption)
    {
        aiobBaiduEncryption.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateAiobBaiduEncryption(aiobBaiduEncryption);
    }

    /**
     * 批量删除百度AI外呼加密
     * 
     * @param ids 需要删除的百度AI外呼加密主键
     * @return 结果
     */
    @Override
    public int deleteAiobBaiduEncryptionByIds(Long[] ids)
    {
        return baseMapper.deleteAiobBaiduEncryptionByIds(ids);
    }

    /**
     * 删除百度AI外呼加密信息
     * 
     * @param id 百度AI外呼加密主键
     * @return 结果
     */
    @Override
    public int deleteAiobBaiduEncryptionById(Long id)
    {
        return baseMapper.deleteAiobBaiduEncryptionById(id);
    }
}
